Subject: Re: [Bitcoin-development] RFC: extend signmessage/verifymessage to P2SH multisig

From: Peter Todd <[email-masked]>
Date: Sun, 14 Apr 2013 02:29:39 -0400

On Sun, Apr 14, 2013 at 05:26:37AM +0000, Luke-Jr wrote:
> On Sunday, April 14, 2013 5:09:58 AM Peter Todd wrote:
> > Currently signmessage/verifymessage only supports messages signed by a
> > single key. We should extend that to messages signed by n-of-m keys, or
> > from the users point of view, P2SH multisig addresses.
> 
> I think it would be wise to figure out HD wallet changes before trying to 
> extend message signing. For privacy/safety, it would be a good idea to avoid 
> signing with the same private key twice under any circumstances, so it might 
> make sense to create a new address format the represent a chain of keys 
> instead of one key or combination of keys.

Sure, which is why I have the header byte so that when we do come up
with a chain of keys thing, that in turn can get it's own magic number
allocated.

FWIW I have an application now where a multisig signmessage would be
useful.

-- 
'peter'[:-1]@petertodd.org